package com.djhk.uav.tfly.model;


import com.djhk.common.annotation.Excel;
import com.djhk.common.core.domain.BaseEntity;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;

/**
 * 飞行架次对象 t_fly
 *
 * @author ruoyi
 * @date 2023-06-19
 */
public class TFly extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 流水号 */
    private String flySeq;

    /** 组织机构 */
    @Excel(name = "组织机构")
    private Long deptId;

    /** 无人机SN */
    @Excel(name = "无人机SN")
    private String equSn;

    /** 起飞时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "起飞时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date begTime;

    /** 起飞位置经度 */
    @Excel(name = "起飞位置经度")
    private Double begLocLon;

    /** 起飞位置纬度 */
    @Excel(name = "起飞位置纬度")
    private Double begLocLat;

    /** 飞行状态1起飞，0降落 */
    @Excel(name = "飞行状态1起飞，0降落")
    private String flySts;

    /** 降落时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "降落时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date endTime;

    /** 降落位置经度 */
    @Excel(name = "降落位置经度")
    private Double endLocLon;

    /** 降落位置纬度 */
    @Excel(name = "降落位置纬度")
    private Double endLocLat;

    /** 架次编号 */
    @Excel(name = "架次编号")
    private String orderid;

    /** 计划编号:可用于关联查询飞行计划、任务规划信息 */
    @Excel(name = "计划编号:可用于关联查询飞行计划、任务规划信息")
    private String planCode;

    public void setFlySeq(String flySeq)
    {
        this.flySeq = flySeq;
    }

    public String getFlySeq()
    {
        return flySeq;
    }
    public void setDeptId(Long deptId)
    {
        this.deptId = deptId;
    }

    public Long getDeptId()
    {
        return deptId;
    }
    public void setEquSn(String equSn)
    {
        this.equSn = equSn;
    }

    public String getEquSn()
    {
        return equSn;
    }
    public void setBegTime(Date begTime)
    {
        this.begTime = begTime;
    }

    public Date getBegTime()
    {
        return begTime;
    }
    public void setBegLocLon(Double begLocLon)
    {
        this.begLocLon = begLocLon;
    }

    public Double getBegLocLon()
    {
        return begLocLon;
    }
    public void setBegLocLat(Double begLocLat)
    {
        this.begLocLat = begLocLat;
    }

    public Double getBegLocLat()
    {
        return begLocLat;
    }
    public void setFlySts(String flySts)
    {
        this.flySts = flySts;
    }

    public String getFlySts()
    {
        return flySts;
    }
    public void setEndTime(Date endTime)
    {
        this.endTime = endTime;
    }

    public Date getEndTime()
    {
        return endTime;
    }
    public void setEndLocLon(Double endLocLon)
    {
        this.endLocLon = endLocLon;
    }

    public Double getEndLocLon()
    {
        return endLocLon;
    }
    public void setEndLocLat(Double endLocLat)
    {
        this.endLocLat = endLocLat;
    }

    public Double getEndLocLat()
    {
        return endLocLat;
    }
    public void setOrderid(String orderid)
    {
        this.orderid = orderid;
    }

    public String getOrderid()
    {
        return orderid;
    }
    public void setPlanCode(String planCode)
    {
        this.planCode = planCode;
    }

    public String getPlanCode()
    {
        return planCode;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
                .append("flySeq", getFlySeq())
                .append("deptId", getDeptId())
                .append("equSn", getEquSn())
                .append("begTime", getBegTime())
                .append("begLocLon", getBegLocLon())
                .append("begLocLat", getBegLocLat())
                .append("flySts", getFlySts())
                .append("endTime", getEndTime())
                .append("endLocLon", getEndLocLon())
                .append("endLocLat", getEndLocLat())
                .append("orderid", getOrderid())
                .append("planCode", getPlanCode())
                .toString();
    }
}
